TakenAt: 2024-06-24T08:26:10Z
TakenAtLocal: 2024-06-24T09:26:10Z
TakenSrc: meta
UID: pt67y40yqozkz1kg
Type: image
Title: Electronics / Petersfield / 2024
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 70
Lat: 51.00534444444445
Lng: -0.9520138888888888
Year: 2024
Month: 6
Day: 24
ISO: 1000
Exposure: 1/25
FNumber: 2.2
FocalLength: 48
Quality: 4
Details:
  Keywords: bedford, electronics, england, grey, laboratories, petersfield, recents,
    road, united-kingdom, whitman
  Software: 17.5.1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T07:00:00Z
UpdatedAt: 2025-11-24T09:40:44Z
